<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../general.ent">
  %general-entities;
]>

<sect1 id="pre-standards">
  <?dbhtml filename="standards.html"?>

  <title>LFS 和标准</title>

  <!--<sect2>
    <title/> -->

     <!--para>The structure of LFS follows Linux standards as closely as
	 possible.  The primary standards are:</para-->
     <para>LFS 的结构尽可能遵循 Linux 的各项标准。主要的标准有：</para>

    <itemizedlist>
      <listitem>
        <para><ulink url="http://pubs.opengroup.org/onlinepubs/9699919799/">
        POSIX.1-2008</ulink>.</para>
      </listitem>
      <listitem>
        <para><ulink 
        url="http://refspecs.linuxfoundation.org/fhs.shtml">
        Filesystem Hierarchy Standard (FHS) Version 3.0</ulink></para>

      </listitem>
      <listitem>
        <para><ulink url="http://refspecs.linuxfoundation.org/lsb.shtml">Linux
        Standard Base (LSB) Version 5.0 (2015)</ulink></para>

        <!--para>The LSB has four separate standards: Core, Desktop,
        Runtime Languages, and Imaging. In addition to generic requirements
        there are also architecture specific requirements.  There are also two
        areas for trial use: Gtk3 and Graphics.  LFS attempts to conform to the
        architectures discussed in the previous section.</para-->
	    <para>LSB 由 4 个独立的标准组成：Core、Desktop、Runtime Language 和
			Imaging。除了通用要求外，还有架构特定的要求。另外，
			还有两个用于测试用途的标准：Gtk3 和 Graphics。
			LFS 试图遵循上面讨论的架构要求。</para>

        <!--note><para>Many people do not agree with the requirements of the LSB.
        The main purpose of defining it is to ensure that proprietary software
        will be able to be installed and run properly on a compliant system.
        Since LFS is source based, the user has complete control over what
        packages are desired and many choose not to install some packages that
        are specified by the LSB.</para></note-->
		<note><para>许多人不认同 LSB 的要求。
				定义 LSB 的主要目的是保证专有软件能够在满足 LSB 的系统上正常运行。
				然而 LFS 是基于源代码的，用户拥有完全的控制权，
				有权选择不安装 LSB 要求的软件包。</para></note>

      </listitem>
    </itemizedlist>

    <!--para>Creating a complete LFS system capable of passing the LSB
    certifications tests is possible, but not without many additional packages
    that are beyond the scope of LFS.  These additional packages have
	installation instructions in BLFS. </para-->

	<para>创建一个能够通过 LSB 认证测试的完整 LFS 系统是可行的，
		但需要安装大量超过 LFS 范畴的额外软件包。
		在 BLFS 中可以找到这些软件包的安装说明。
	</para>

    <variablelist>
      <bridgehead renderas="sect3">LSB 要求的，由 LFS 提供的软件包</bridgehead>
      <?dbfo list-presentation="list"?>
      <?dbhtml list-presentation="table"?>

      <varlistentry>
        <term><emphasis>LSB Core:</emphasis></term>
        <listitem>
          <para>Bash, Bc, Binutils, Coreutils, Diffutils, File, Findutils, Gawk,
                Grep, Gzip, M4, Man-DB, Ncurses, Procps, Psmisc, Sed,
                Shadow, Tar, Util-linux, Zlib</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term><emphasis>LSB Desktop:</emphasis></term>
        <listitem>
          <para>无</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term><emphasis>LSB Runtime Languages:</emphasis></term>
        <listitem>
          <para>Perl</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term><emphasis>LSB Imaging:</emphasis></term>
        <listitem>
          <para>无</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term><emphasis>LSB Gtk3 和 LSB Graphics (试用):</emphasis></term>
        <listitem>
          <para>无</para>
        </listitem>
      </varlistentry>

    </variablelist>

    <variablelist>
      <bridgehead renderas="sect3">LSB 要求的，由 BLFS 提供的软件包</bridgehead>
      <?dbfo list-presentation="list"?>
      <?dbhtml list-presentation="table"?>

      <varlistentry>
        <term><emphasis>LSB Core:</emphasis></term>
        <listitem>
          <para>At, Batch (At 的一部分), Cpio, Ed, Fcrontab, Initd-tools,
          Lsb_release, NSPR, NSS, PAM, Pax, Sendmail (或 Postfix，或 Exim), time
          </para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term><emphasis>LSB Desktop:</emphasis></term>
        <listitem>
          <para>Alsa, ATK, Cairo, Desktop-file-utils, Freetype, Fontconfig,
          Gdk-pixbuf, Glib2, GTK+2, Icon-naming-utils, Libjpeg-turbo, Libpng, Libtiff,
          Libxml2, MesaLib, Pango, Xdg-utils, Xorg</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term><emphasis>LSB Runtime Languages:</emphasis></term>
        <listitem>
          <para>Python, Libxml2, Libxslt </para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term><emphasis>LSB Imaging:</emphasis></term>
        <listitem>
          <para>CUPS, Cups-filters, Ghostscript, SANE</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term><emphasis>LSB Gtk3 和 LSB Graphics (试用):</emphasis></term>
        <listitem>
          <para>GTK+3</para>
        </listitem>
      </varlistentry>

    </variablelist>

    <variablelist>
		<bridgehead renderas="sect3">LSB 要求的，LFS 和 BLFS 均不提供的软件包
		</bridgehead>
      <?dbfo list-presentation="list"?>
      <?dbhtml list-presentation="table"?>

      <varlistentry>
        <term><emphasis>LSB Core:</emphasis></term>
        <listitem>
          <para>无</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term><emphasis>LSB Desktop:</emphasis></term>
        <listitem>
          <para>Qt4（但提供了 Qt5）</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term><emphasis>LSB Runtime Languages:</emphasis></term>
        <listitem>
          <para>无</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term><emphasis>LSB Imaging:</emphasis></term>
        <listitem>
          <para>无</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term><emphasis>LSB Gtk3 和 LSB Graphics (试用):</emphasis></term>
        <listitem>
          <para>无</para>
        </listitem>
      </varlistentry>

    </variablelist>

</sect1>

